Bug 995598 - (CVE-2013-4222) CVE-2013-4222 OpenStack: Keystone disabling a tenant does not disable a user token
CVE-2013-4222 OpenStack: Keystone disabling a tenant does not disable a user ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130807,repor...
: Security
Depends On: 995601 995602 995603 995604 995605
Blocks: 995600
  Show dependency treegraph
 
Reported: 2013-08-09 15:59 EDT by Kurt Seifried
Modified: 2016-04-26 19:09 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 16:34:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-08-09 15:59:48 EDT
### Summary ###
When a tenant is disabled in Keystone, tokens that have been issued to
that tenant are not invalidated. This can result in users having access
to your cloud after you have attempted to revoke them.

### Affected Services / Software ###
Keystone

### Discussion ###
It appears that Keystone does not purge the tokens given out to tenants
when a tenant is disabled. In some scenarios this could be very
important to cloud providers. Take the case where a cloud provider must
a tenant's access because of some legal investigation. Even though the
tenant is disabled it would be possible for them to terminate VMs /
delete Swift files etc. - There are many other abuse-cases...

### Recommended Actions ###
How the tokens are stored depends on your cloud deployment. If you
deploy using Memcache to back Keystone then flushing the cash when
disabling a token would resolve this issue for you, at the cost of other
token lookups which are no longer in the cash requiring Keystone
interaction.

It is of course possible to script something to remove tokens from any
backend DB or cache but there is no 'official' way to do this.

### Contacts / References ###
Proposed Fix : https://review.openstack.org/#/c/39878/
This OSSN : https://bugs.launchpad.net/ossn/+bug/1179955
OpenStack Security ML : openstack-security at lists.openstack.org
OpenStack Security Group : https://launchpad.net/~openstack-ossg

References:
http://lists.openstack.org/pipermail/openstack-security/2013-August/000263.html
Comment 2 Kurt Seifried 2013-08-09 16:06:12 EDT
Created openstack-keystone tracking bugs for this issue:

Affects: fedora-all [bug 995601]
Affects: epel-6 [bug 995602]
Comment 3 Fedora Update System 2013-09-22 20:28:52 EDT
openstack-keystone-2013.2-0.9.b3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 errata-xmlrpc 2013-11-18 14:29:46 EST
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1524 https://rhn.redhat.com/errata/RHSA-2013-1524.html

Note You need to log in before you can comment on or make changes to this bug.